Clients
List Clients
GET
/
api
/
v1
/
clients
List Clients
curl --request GET \
--url https://vinmake-erp.onrender.com/api/v1/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/api/v1/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/api/v1/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"country": "<string>",
"maxAccountValue": 123,
"currency": "<string>",
"paymentTerms": "<string>",
"contacts": [
{
"id": "<string>",
"contactName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"countryCode": "<string>",
"platforms": [
{
"platform": "<string>",
"handle": "<string>"
}
]
}
],
"bankDetails": {
"accountCountry": "<string>",
"accountCurrency": "<string>",
"accountHolderType": "<string>",
"transferMethod": "<string>",
"swiftCode": "<string>",
"bankAccountNumber": "<string>",
"accountHolderName": "<string>",
"intermediarySwiftCode": "<string>",
"recipientNickname": "<string>",
"recipientEmail": "<string>",
"recipientCountry": "<string>",
"recipientAddress": "<string>",
"recipientCity": "<string>",
"recipientPostalCode": "<string>",
"recipients": [
{
"recipientNickname": "<string>",
"recipientEmail": "<string>",
"recipientCountry": "<string>",
"recipientAddress": "<string>",
"recipientCity": "<string>",
"recipientPostalCode": "<string>"
}
],
"shippingPickupDetails": [
{
"label": "<string>",
"type": "<string>",
"address": "<string>",
"contactName": "<string>",
"phoneNumber": "<string>",
"notes": "<string>"
}
]
},
"contractFile": {
"fileName": "<string>",
"fileUrl": "<string>",
"fileSize": 123,
"contentType": "<string>",
"uploadedAt": "<string>"
},
"ordersCount": 123
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Search term
Response
Successful Response
Paginated response for clients list
Show child attributes
Show child attributes
Pagination metadata following API standards.
Attributes: page: Current page number (1-indexed) limit: Items per page total: Total number of items matching query totalPages: Total number of pages hasNext: Whether there is a next page hasPrev: Whether there is a previous page
Show child attributes
Show child attributes
⌘I
List Clients
